KMdi Namespace Reference

## Enumerations

enum | EventType { EV_Move =1, EV_DragBegin, EV_DragEnd, EV_ResizeBegin, EV_ResizeEnd }
enum | AddWindowFlags { StandardAdd = 0, Maximize = 1, Minimize = 2, Hide = 4, Detach = 8, ToolWindow = 16, UseKMdiSizeHint = 32, AddWindowFlags = 0xff }
enum | FrameDecor { Win95Look = 0, KDE1Look = 1, KDELook = 2, KDELaptopLook = 3 }
enum | MdiMode { UndefinedMode = 0, ToplevelMode = 1, ChildframeMode = 2, TabPageMode = 3, IDEAlMode = 4 }
enum | TabWidgetVisibility { AlwaysShowTabs = 0, ShowWhenMoreThanOneTab = 1, NeverShowTabs = 2 }
enum | ToolviewStyle { IconOnly = 0, TextOnly = 1, TextAndIcon = 3 }

## Detailed Description

A namespace for the KMDI library.

## Enumeration Type Documentation

enum KMdi::AddWindowFlags

During KMdiMainFrm::addWindow the enum AddWindowFlags is used to determine how the view is initialy being added to the MDI system.

Enumerator
StandardAdd | standard is: show normal, attached, visible, document view (not toolview). Maximize, Minimize, Hide adds appropriately. Detach adds a view that appears toplevel, ToolWindow adds the view as tool view. That means it is stay-on-top and toplevel. UseKMdiSizeHint should use the restore geometry of the latest current top childframe but is not supported yet.

Definition at line 65 of file kmdidefines.h.

enum KMdi::EventType

extent Qt events

See also
  QCustomEvent, QEvent::User
  bool B_MyWidget::event( QEvent* e) {
  if( e->type() == QEvent::Type(QEvent::User + int(KMdi::EV_Move))) {
  ...
  }
  ...
  }

Definition at line 54 of file kmdidefines.h.

enum KMdi::ToolviewStyle

The style of the toolview tabs.

Since
  3.3

Enumerator
IconOnly | Show only icons on the toolview tabs. The visible toolviews contain both the icon and text.
TextOnly | Show only the text description on the toolview tabs.
TextAndIcon | Show both the icon and description on the toolview tabs.

Definition at line 107 of file kmdidefines.h.

KDE Home | KDE Accessibility Home | Description of Access Keys